[Interest] Qt 5.9 and OpenSSL 1.1?

René J. V. Bertin rjvbertin at gmail.com
Wed Mar 20 19:14:52 CET 2019


> Which distribution already stopped shipping OpenSSL 1.0?

See my other email: for now this is for MacPorts, but I'm guessing Qt may not 
want to depend only on an OpenSSL variant that's EOL.

Moving to 5.10 may be relatively trivial on Linux but not on Mac, if you want to 
keep supporting OS versions that don't run 5.10 .

Judging from the commit, OSSL 1.1 support was added to the dev branch almost 
exactly TWO years ago. I can't remember when 5.9 came out but it must not have 
been older than the "current" version back then. Why on earth was this change 
never cherry-picked to the 5.9 branch?! It's not like it introduces all kinds of 
hot new features, and if I understand correctly this kind of change to the OSSL 
backend should be completely transparent for dependent software?

R.



More information about the Interest mailing list